/*
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// This file is generated. Do not modify it manually. To re-generate it, run:
//
//  ./velox/type/tz/gen_timezone_database.py -f /tmp/zone-index.properties \
//       > velox/type/tz/TimeZoneDatabase.cpp
//
// The zone-index.properties file should be the same one used in Presto,
// Available here :
// https://github.com/prestodb/presto/blob/master/presto-common/src/main/resources/com/facebook/presto/common/type/zone-index.properties.
// @generated

#include <string>
#include <unordered_map>

namespace facebook::velox::util {

const std::unordered_map<int64_t, std::string>& getTimeZoneDB() {
  static std::unordered_map<int64_t, std::string> tzDB = {
      {0, "+00:00"},
      {1, "-14:00"},
      {2, "-13:59"},
      {3, "-13:58"},
      {4, "-13:57"},
      {5, "-13:56"},
      {6, "-13:55"},
      {7, "-13:54"},
      {8, "-13:53"},
      {9, "-13:52"},
      {10, "-13:51"},
      {11, "-13:50"},
      {12, "-13:49"},
      {13, "-13:48"},
      {14, "-13:47"},
      {15, "-13:46"},
      {16, "-13:45"},
      {17, "-13:44"},
      {18, "-13:43"},
      {19, "-13:42"},
      {20, "-13:41"},
      {21, "-13:40"},
      {22, "-13:39"},
      {23, "-13:38"},
      {24, "-13:37"},
      {25, "-13:36"},
      {26, "-13:35"},
      {27, "-13:34"},
      {28, "-13:33"},
      {29, "-13:32"},
      {30, "-13:31"},
      {31, "-13:30"},
      {32, "-13:29"},
      {33, "-13:28"},
      {34, "-13:27"},
      {35, "-13:26"},
      {36, "-13:25"},
      {37, "-13:24"},
      {38, "-13:23"},
      {39, "-13:22"},
      {40, "-13:21"},
      {41, "-13:20"},
      {42, "-13:19"},
      {43, "-13:18"},
      {44, "-13:17"},
      {45, "-13:16"},
      {46, "-13:15"},
      {47, "-13:14"},
      {48, "-13:13"},
      {49, "-13:12"},
      {50, "-13:11"},
      {51, "-13:10"},
      {52, "-13:09"},
      {53, "-13:08"},
      {54, "-13:07"},
      {55, "-13:06"},
      {56, "-13:05"},
      {57, "-13:04"},
      {58, "-13:03"},
      {59, "-13:02"},
      {60, "-13:01"},
      {61, "-13:00"},
      {62, "-12:59"},
      {63, "-12:58"},
      {64, "-12:57"},
      {65, "-12:56"},
      {66, "-12:55"},
      {67, "-12:54"},
      {68, "-12:53"},
      {69, "-12:52"},
      {70, "-12:51"},
      {71, "-12:50"},
      {72, "-12:49"},
      {73, "-12:48"},
      {74, "-12:47"},
      {75, "-12:46"},
      {76, "-12:45"},
      {77, "-12:44"},
      {78, "-12:43"},
      {79, "-12:42"},
      {80, "-12:41"},
      {81, "-12:40"},
      {82, "-12:39"},
      {83, "-12:38"},
      {84, "-12:37"},
      {85, "-12:36"},
      {86, "-12:35"},
      {87, "-12:34"},
      {88, "-12:33"},
      {89, "-12:32"},
      {90, "-12:31"},
      {91, "-12:30"},
      {92, "-12:29"},
      {93, "-12:28"},
      {94, "-12:27"},
      {95, "-12:26"},
      {96, "-12:25"},
      {97, "-12:24"},
      {98, "-12:23"},
      {99, "-12:22"},
      {100, "-12:21"},
      {101, "-12:20"},
      {102, "-12:19"},
      {103, "-12:18"},
      {104, "-12:17"},
      {105, "-12:16"},
      {106, "-12:15"},
      {107, "-12:14"},
      {108, "-12:13"},
      {109, "-12:12"},
      {110, "-12:11"},
      {111, "-12:10"},
      {112, "-12:09"},
      {113, "-12:08"},
      {114, "-12:07"},
      {115, "-12:06"},
      {116, "-12:05"},
      {117, "-12:04"},
      {118, "-12:03"},
      {119, "-12:02"},
      {120, "-12:01"},
      {121, "-12:00"},
      {122, "-11:59"},
      {123, "-11:58"},
      {124, "-11:57"},
      {125, "-11:56"},
      {126, "-11:55"},
      {127, "-11:54"},
      {128, "-11:53"},
      {129, "-11:52"},
      {130, "-11:51"},
      {131, "-11:50"},
      {132, "-11:49"},
      {133, "-11:48"},
      {134, "-11:47"},
      {135, "-11:46"},
      {136, "-11:45"},
      {137, "-11:44"},
      {138, "-11:43"},
      {139, "-11:42"},
      {140, "-11:41"},
      {141, "-11:40"},
      {142, "-11:39"},
      {143, "-11:38"},
      {144, "-11:37"},
      {145, "-11:36"},
      {146, "-11:35"},
      {147, "-11:34"},
      {148, "-11:33"},
      {149, "-11:32"},
      {150, "-11:31"},
      {151, "-11:30"},
      {152, "-11:29"},
      {153, "-11:28"},
      {154, "-11:27"},
      {155, "-11:26"},
      {156, "-11:25"},
      {157, "-11:24"},
      {158, "-11:23"},
      {159, "-11:22"},
      {160, "-11:21"},
      {161, "-11:20"},
      {162, "-11:19"},
      {163, "-11:18"},
      {164, "-11:17"},
      {165, "-11:16"},
      {166, "-11:15"},
      {167, "-11:14"},
      {168, "-11:13"},
      {169, "-11:12"},
      {170, "-11:11"},
      {171, "-11:10"},
      {172, "-11:09"},
      {173, "-11:08"},
      {174, "-11:07"},
      {175, "-11:06"},
      {176, "-11:05"},
      {177, "-11:04"},
      {178, "-11:03"},
      {179, "-11:02"},
      {180, "-11:01"},
      {181, "-11:00"},
      {182, "-10:59"},
      {183, "-10:58"},
      {184, "-10:57"},
      {185, "-10:56"},
      {186, "-10:55"},
      {187, "-10:54"},
      {188, "-10:53"},
      {189, "-10:52"},
      {190, "-10:51"},
      {191, "-10:50"},
      {192, "-10:49"},
      {193, "-10:48"},
      {194, "-10:47"},
      {195, "-10:46"},
      {196, "-10:45"},
      {197, "-10:44"},
      {198, "-10:43"},
      {199, "-10:42"},
      {200, "-10:41"},
      {201, "-10:40"},
      {202, "-10:39"},
      {203, "-10:38"},
      {204, "-10:37"},
      {205, "-10:36"},
      {206, "-10:35"},
      {207, "-10:34"},
      {208, "-10:33"},
      {209, "-10:32"},
      {210, "-10:31"},
      {211, "-10:30"},
      {212, "-10:29"},
      {213, "-10:28"},
      {214, "-10:27"},
      {215, "-10:26"},
      {216, "-10:25"},
      {217, "-10:24"},
      {218, "-10:23"},
      {219, "-10:22"},
      {220, "-10:21"},
      {221, "-10:20"},
      {222, "-10:19"},
      {223, "-10:18"},
      {224, "-10:17"},
      {225, "-10:16"},
      {226, "-10:15"},
      {227, "-10:14"},
      {228, "-10:13"},
      {229, "-10:12"},
      {230, "-10:11"},
      {231, "-10:10"},
      {232, "-10:09"},
      {233, "-10:08"},
      {234, "-10:07"},
      {235, "-10:06"},
      {236, "-10:05"},
      {237, "-10:04"},
      {238, "-10:03"},
      {239, "-10:02"},
      {240, "-10:01"},
      {241, "-10:00"},
      {242, "-09:59"},
      {243, "-09:58"},
      {244, "-09:57"},
      {245, "-09:56"},
      {246, "-09:55"},
      {247, "-09:54"},
      {248, "-09:53"},
      {249, "-09:52"},
      {250, "-09:51"},
      {251, "-09:50"},
      {252, "-09:49"},
      {253, "-09:48"},
      {254, "-09:47"},
      {255, "-09:46"},
      {256, "-09:45"},
      {257, "-09:44"},
      {258, "-09:43"},
      {259, "-09:42"},
      {260, "-09:41"},
      {261, "-09:40"},
      {262, "-09:39"},
      {263, "-09:38"},
      {264, "-09:37"},
      {265, "-09:36"},
      {266, "-09:35"},
      {267, "-09:34"},
      {268, "-09:33"},
      {269, "-09:32"},
      {270, "-09:31"},
      {271, "-09:30"},
      {272, "-09:29"},
      {273, "-09:28"},
      {274, "-09:27"},
      {275, "-09:26"},
      {276, "-09:25"},
      {277, "-09:24"},
      {278, "-09:23"},
      {279, "-09:22"},
      {280, "-09:21"},
      {281, "-09:20"},
      {282, "-09:19"},
      {283, "-09:18"},
      {284, "-09:17"},
      {285, "-09:16"},
      {286, "-09:15"},
      {287, "-09:14"},
      {288, "-09:13"},
      {289, "-09:12"},
      {290, "-09:11"},
      {291, "-09:10"},
      {292, "-09:09"},
      {293, "-09:08"},
      {294, "-09:07"},
      {295, "-09:06"},
      {296, "-09:05"},
      {297, "-09:04"},
      {298, "-09:03"},
      {299, "-09:02"},
      {300, "-09:01"},
      {301, "-09:00"},
      {302, "-08:59"},
      {303, "-08:58"},
      {304, "-08:57"},
      {305, "-08:56"},
      {306, "-08:55"},
      {307, "-08:54"},
      {308, "-08:53"},
      {309, "-08:52"},
      {310, "-08:51"},
      {311, "-08:50"},
      {312, "-08:49"},
      {313, "-08:48"},
      {314, "-08:47"},
      {315, "-08:46"},
      {316, "-08:45"},
      {317, "-08:44"},
      {318, "-08:43"},
      {319, "-08:42"},
      {320, "-08:41"},
      {321, "-08:40"},
      {322, "-08:39"},
      {323, "-08:38"},
      {324, "-08:37"},
      {325, "-08:36"},
      {326, "-08:35"},
      {327, "-08:34"},
      {328, "-08:33"},
      {329, "-08:32"},
      {330, "-08:31"},
      {331, "-08:30"},
      {332, "-08:29"},
      {333, "-08:28"},
      {334, "-08:27"},
      {335, "-08:26"},
      {336, "-08:25"},
      {337, "-08:24"},
      {338, "-08:23"},
      {339, "-08:22"},
      {340, "-08:21"},
      {341, "-08:20"},
      {342, "-08:19"},
      {343, "-08:18"},
      {344, "-08:17"},
      {345, "-08:16"},
      {346, "-08:15"},
      {347, "-08:14"},
      {348, "-08:13"},
      {349, "-08:12"},
      {350, "-08:11"},
      {351, "-08:10"},
      {352, "-08:09"},
      {353, "-08:08"},
      {354, "-08:07"},
      {355, "-08:06"},
      {356, "-08:05"},
      {357, "-08:04"},
      {358, "-08:03"},
      {359, "-08:02"},
      {360, "-08:01"},
      {361, "-08:00"},
      {362, "-07:59"},
      {363, "-07:58"},
      {364, "-07:57"},
      {365, "-07:56"},
      {366, "-07:55"},
      {367, "-07:54"},
      {368, "-07:53"},
      {369, "-07:52"},
      {370, "-07:51"},
      {371, "-07:50"},
      {372, "-07:49"},
      {373, "-07:48"},
      {374, "-07:47"},
      {375, "-07:46"},
      {376, "-07:45"},
      {377, "-07:44"},
      {378, "-07:43"},
      {379, "-07:42"},
      {380, "-07:41"},
      {381, "-07:40"},
      {382, "-07:39"},
      {383, "-07:38"},
      {384, "-07:37"},
      {385, "-07:36"},
      {386, "-07:35"},
      {387, "-07:34"},
      {388, "-07:33"},
      {389, "-07:32"},
      {390, "-07:31"},
      {391, "-07:30"},
      {392, "-07:29"},
      {393, "-07:28"},
      {394, "-07:27"},
      {395, "-07:26"},
      {396, "-07:25"},
      {397, "-07:24"},
      {398, "-07:23"},
      {399, "-07:22"},
      {400, "-07:21"},
      {401, "-07:20"},
      {402, "-07:19"},
      {403, "-07:18"},
      {404, "-07:17"},
      {405, "-07:16"},
      {406, "-07:15"},
      {407, "-07:14"},
      {408, "-07:13"},
      {409, "-07:12"},
      {410, "-07:11"},
      {411, "-07:10"},
      {412, "-07:09"},
      {413, "-07:08"},
      {414, "-07:07"},
      {415, "-07:06"},
      {416, "-07:05"},
      {417, "-07:04"},
      {418, "-07:03"},
      {419, "-07:02"},
      {420, "-07:01"},
      {421, "-07:00"},
      {422, "-06:59"},
      {423, "-06:58"},
      {424, "-06:57"},
      {425, "-06:56"},
      {426, "-06:55"},
      {427, "-06:54"},
      {428, "-06:53"},
      {429, "-06:52"},
      {430, "-06:51"},
      {431, "-06:50"},
      {432, "-06:49"},
      {433, "-06:48"},
      {434, "-06:47"},
      {435, "-06:46"},
      {436, "-06:45"},
      {437, "-06:44"},
      {438, "-06:43"},
      {439, "-06:42"},
      {440, "-06:41"},
      {441, "-06:40"},
      {442, "-06:39"},
      {443, "-06:38"},
      {444, "-06:37"},
      {445, "-06:36"},
      {446, "-06:35"},
      {447, "-06:34"},
      {448, "-06:33"},
      {449, "-06:32"},
      {450, "-06:31"},
      {451, "-06:30"},
      {452, "-06:29"},
      {453, "-06:28"},
      {454, "-06:27"},
      {455, "-06:26"},
      {456, "-06:25"},
      {457, "-06:24"},
      {458, "-06:23"},
      {459, "-06:22"},
      {460, "-06:21"},
      {461, "-06:20"},
      {462, "-06:19"},
      {463, "-06:18"},
      {464, "-06:17"},
      {465, "-06:16"},
      {466, "-06:15"},
      {467, "-06:14"},
      {468, "-06:13"},
      {469, "-06:12"},
      {470, "-06:11"},
      {471, "-06:10"},
      {472, "-06:09"},
      {473, "-06:08"},
      {474, "-06:07"},
      {475, "-06:06"},
      {476, "-06:05"},
      {477, "-06:04"},
      {478, "-06:03"},
      {479, "-06:02"},
      {480, "-06:01"},
      {481, "-06:00"},
      {482, "-05:59"},
      {483, "-05:58"},
      {484, "-05:57"},
      {485, "-05:56"},
      {486, "-05:55"},
      {487, "-05:54"},
      {488, "-05:53"},
      {489, "-05:52"},
      {490, "-05:51"},
      {491, "-05:50"},
      {492, "-05:49"},
      {493, "-05:48"},
      {494, "-05:47"},
      {495, "-05:46"},
      {496, "-05:45"},
      {497, "-05:44"},
      {498, "-05:43"},
      {499, "-05:42"},
      {500, "-05:41"},
      {501, "-05:40"},
      {502, "-05:39"},
      {503, "-05:38"},
      {504, "-05:37"},
      {505, "-05:36"},
      {506, "-05:35"},
      {507, "-05:34"},
      {508, "-05:33"},
      {509, "-05:32"},
      {510, "-05:31"},
      {511, "-05:30"},
      {512, "-05:29"},
      {513, "-05:28"},
      {514, "-05:27"},
      {515, "-05:26"},
      {516, "-05:25"},
      {517, "-05:24"},
      {518, "-05:23"},
      {519, "-05:22"},
      {520, "-05:21"},
      {521, "-05:20"},
      {522, "-05:19"},
      {523, "-05:18"},
      {524, "-05:17"},
      {525, "-05:16"},
      {526, "-05:15"},
      {527, "-05:14"},
      {528, "-05:13"},
      {529, "-05:12"},
      {530, "-05:11"},
      {531, "-05:10"},
      {532, "-05:09"},
      {533, "-05:08"},
      {534, "-05:07"},
      {535, "-05:06"},
      {536, "-05:05"},
      {537, "-05:04"},
      {538, "-05:03"},
      {539, "-05:02"},
      {540, "-05:01"},
      {541, "-05:00"},
      {542, "-04:59"},
      {543, "-04:58"},
      {544, "-04:57"},
      {545, "-04:56"},
      {546, "-04:55"},
      {547, "-04:54"},
      {548, "-04:53"},
      {549, "-04:52"},
      {550, "-04:51"},
      {551, "-04:50"},
      {552, "-04:49"},
      {553, "-04:48"},
      {554, "-04:47"},
      {555, "-04:46"},
      {556, "-04:45"},
      {557, "-04:44"},
      {558, "-04:43"},
      {559, "-04:42"},
      {560, "-04:41"},
      {561, "-04:40"},
      {562, "-04:39"},
      {563, "-04:38"},
      {564, "-04:37"},
      {565, "-04:36"},
      {566, "-04:35"},
      {567, "-04:34"},
      {568, "-04:33"},
      {569, "-04:32"},
      {570, "-04:31"},
      {571, "-04:30"},
      {572, "-04:29"},
      {573, "-04:28"},
      {574, "-04:27"},
      {575, "-04:26"},
      {576, "-04:25"},
      {577, "-04:24"},
      {578, "-04:23"},
      {579, "-04:22"},
      {580, "-04:21"},
      {581, "-04:20"},
      {582, "-04:19"},
      {583, "-04:18"},
      {584, "-04:17"},
      {585, "-04:16"},
      {586, "-04:15"},
      {587, "-04:14"},
      {588, "-04:13"},
      {589, "-04:12"},
      {590, "-04:11"},
      {591, "-04:10"},
      {592, "-04:09"},
      {593, "-04:08"},
      {594, "-04:07"},
      {595, "-04:06"},
      {596, "-04:05"},
      {597, "-04:04"},
      {598, "-04:03"},
      {599, "-04:02"},
      {600, "-04:01"},
      {601, "-04:00"},
      {602, "-03:59"},
      {603, "-03:58"},
      {604, "-03:57"},
      {605, "-03:56"},
      {606, "-03:55"},
      {607, "-03:54"},
      {608, "-03:53"},
      {609, "-03:52"},
      {610, "-03:51"},
      {611, "-03:50"},
      {612, "-03:49"},
      {613, "-03:48"},
      {614, "-03:47"},
      {615, "-03:46"},
      {616, "-03:45"},
      {617, "-03:44"},
      {618, "-03:43"},
      {619, "-03:42"},
      {620, "-03:41"},
      {621, "-03:40"},
      {622, "-03:39"},
      {623, "-03:38"},
      {624, "-03:37"},
      {625, "-03:36"},
      {626, "-03:35"},
      {627, "-03:34"},
      {628, "-03:33"},
      {629, "-03:32"},
      {630, "-03:31"},
      {631, "-03:30"},
      {632, "-03:29"},
      {633, "-03:28"},
      {634, "-03:27"},
      {635, "-03:26"},
      {636, "-03:25"},
      {637, "-03:24"},
      {638, "-03:23"},
      {639, "-03:22"},
      {640, "-03:21"},
      {641, "-03:20"},
      {642, "-03:19"},
      {643, "-03:18"},
      {644, "-03:17"},
      {645, "-03:16"},
      {646, "-03:15"},
      {647, "-03:14"},
      {648, "-03:13"},
      {649, "-03:12"},
      {650, "-03:11"},
      {651, "-03:10"},
      {652, "-03:09"},
      {653, "-03:08"},
      {654, "-03:07"},
      {655, "-03:06"},
      {656, "-03:05"},
      {657, "-03:04"},
      {658, "-03:03"},
      {659, "-03:02"},
      {660, "-03:01"},
      {661, "-03:00"},
      {662, "-02:59"},
      {663, "-02:58"},
      {664, "-02:57"},
      {665, "-02:56"},
      {666, "-02:55"},
      {667, "-02:54"},
      {668, "-02:53"},
      {669, "-02:52"},
      {670, "-02:51"},
      {671, "-02:50"},
      {672, "-02:49"},
      {673, "-02:48"},
      {674, "-02:47"},
      {675, "-02:46"},
      {676, "-02:45"},
      {677, "-02:44"},
      {678, "-02:43"},
      {679, "-02:42"},
      {680, "-02:41"},
      {681, "-02:40"},
      {682, "-02:39"},
      {683, "-02:38"},
      {684, "-02:37"},
      {685, "-02:36"},
      {686, "-02:35"},
      {687, "-02:34"},
      {688, "-02:33"},
      {689, "-02:32"},
      {690, "-02:31"},
      {691, "-02:30"},
      {692, "-02:29"},
      {693, "-02:28"},
      {694, "-02:27"},
      {695, "-02:26"},
      {696, "-02:25"},
      {697, "-02:24"},
      {698, "-02:23"},
      {699, "-02:22"},
      {700, "-02:21"},
      {701, "-02:20"},
      {702, "-02:19"},
      {703, "-02:18"},
      {704, "-02:17"},
      {705, "-02:16"},
      {706, "-02:15"},
      {707, "-02:14"},
      {708, "-02:13"},
      {709, "-02:12"},
      {710, "-02:11"},
      {711, "-02:10"},
      {712, "-02:09"},
      {713, "-02:08"},
      {714, "-02:07"},
      {715, "-02:06"},
      {716, "-02:05"},
      {717, "-02:04"},
      {718, "-02:03"},
      {719, "-02:02"},
      {720, "-02:01"},
      {721, "-02:00"},
      {722, "-01:59"},
      {723, "-01:58"},
      {724, "-01:57"},
      {725, "-01:56"},
      {726, "-01:55"},
      {727, "-01:54"},
      {728, "-01:53"},
      {729, "-01:52"},
      {730, "-01:51"},
      {731, "-01:50"},
      {732, "-01:49"},
      {733, "-01:48"},
      {734, "-01:47"},
      {735, "-01:46"},
      {736, "-01:45"},
      {737, "-01:44"},
      {738, "-01:43"},
      {739, "-01:42"},
      {740, "-01:41"},
      {741, "-01:40"},
      {742, "-01:39"},
      {743, "-01:38"},
      {744, "-01:37"},
      {745, "-01:36"},
      {746, "-01:35"},
      {747, "-01:34"},
      {748, "-01:33"},
      {749, "-01:32"},
      {750, "-01:31"},
      {751, "-01:30"},
      {752, "-01:29"},
      {753, "-01:28"},
      {754, "-01:27"},
      {755, "-01:26"},
      {756, "-01:25"},
      {757, "-01:24"},
      {758, "-01:23"},
      {759, "-01:22"},
      {760, "-01:21"},
      {761, "-01:20"},
      {762, "-01:19"},
      {763, "-01:18"},
      {764, "-01:17"},
      {765, "-01:16"},
      {766, "-01:15"},
      {767, "-01:14"},
      {768, "-01:13"},
      {769, "-01:12"},
      {770, "-01:11"},
      {771, "-01:10"},
      {772, "-01:09"},
      {773, "-01:08"},
      {774, "-01:07"},
      {775, "-01:06"},
      {776, "-01:05"},
      {777, "-01:04"},
      {778, "-01:03"},
      {779, "-01:02"},
      {780, "-01:01"},
      {781, "-01:00"},
      {782, "-00:59"},
      {783, "-00:58"},
      {784, "-00:57"},
      {785, "-00:56"},
      {786, "-00:55"},
      {787, "-00:54"},
      {788, "-00:53"},
      {789, "-00:52"},
      {790, "-00:51"},
      {791, "-00:50"},
      {792, "-00:49"},
      {793, "-00:48"},
      {794, "-00:47"},
      {795, "-00:46"},
      {796, "-00:45"},
      {797, "-00:44"},
      {798, "-00:43"},
      {799, "-00:42"},
      {800, "-00:41"},
      {801, "-00:40"},
      {802, "-00:39"},
      {803, "-00:38"},
      {804, "-00:37"},
      {805, "-00:36"},
      {806, "-00:35"},
      {807, "-00:34"},
      {808, "-00:33"},
      {809, "-00:32"},
      {810, "-00:31"},
      {811, "-00:30"},
      {812, "-00:29"},
      {813, "-00:28"},
      {814, "-00:27"},
      {815, "-00:26"},
      {816, "-00:25"},
      {817, "-00:24"},
      {818, "-00:23"},
      {819, "-00:22"},
      {820, "-00:21"},
      {821, "-00:20"},
      {822, "-00:19"},
      {823, "-00:18"},
      {824, "-00:17"},
      {825, "-00:16"},
      {826, "-00:15"},
      {827, "-00:14"},
      {828, "-00:13"},
      {829, "-00:12"},
      {830, "-00:11"},
      {831, "-00:10"},
      {832, "-00:09"},
      {833, "-00:08"},
      {834, "-00:07"},
      {835, "-00:06"},
      {836, "-00:05"},
      {837, "-00:04"},
      {838, "-00:03"},
      {839, "-00:02"},
      {840, "-00:01"},
      {841, "+00:01"},
      {842, "+00:02"},
      {843, "+00:03"},
      {844, "+00:04"},
      {845, "+00:05"},
      {846, "+00:06"},
      {847, "+00:07"},
      {848, "+00:08"},
      {849, "+00:09"},
      {850, "+00:10"},
      {851, "+00:11"},
      {852, "+00:12"},
      {853, "+00:13"},
      {854, "+00:14"},
      {855, "+00:15"},
      {856, "+00:16"},
      {857, "+00:17"},
      {858, "+00:18"},
      {859, "+00:19"},
      {860, "+00:20"},
      {861, "+00:21"},
      {862, "+00:22"},
      {863, "+00:23"},
      {864, "+00:24"},
      {865, "+00:25"},
      {866, "+00:26"},
      {867, "+00:27"},
      {868, "+00:28"},
      {869, "+00:29"},
      {870, "+00:30"},
      {871, "+00:31"},
      {872, "+00:32"},
      {873, "+00:33"},
      {874, "+00:34"},
      {875, "+00:35"},
      {876, "+00:36"},
      {877, "+00:37"},
      {878, "+00:38"},
      {879, "+00:39"},
      {880, "+00:40"},
      {881, "+00:41"},
      {882, "+00:42"},
      {883, "+00:43"},
      {884, "+00:44"},
      {885, "+00:45"},
      {886, "+00:46"},
      {887, "+00:47"},
      {888, "+00:48"},
      {889, "+00:49"},
      {890, "+00:50"},
      {891, "+00:51"},
      {892, "+00:52"},
      {893, "+00:53"},
      {894, "+00:54"},
      {895, "+00:55"},
      {896, "+00:56"},
      {897, "+00:57"},
      {898, "+00:58"},
      {899, "+00:59"},
      {900, "+01:00"},
      {901, "+01:01"},
      {902, "+01:02"},
      {903, "+01:03"},
      {904, "+01:04"},
      {905, "+01:05"},
      {906, "+01:06"},
      {907, "+01:07"},
      {908, "+01:08"},
      {909, "+01:09"},
      {910, "+01:10"},
      {911, "+01:11"},
      {912, "+01:12"},
      {913, "+01:13"},
      {914, "+01:14"},
      {915, "+01:15"},
      {916, "+01:16"},
      {917, "+01:17"},
      {918, "+01:18"},
      {919, "+01:19"},
      {920, "+01:20"},
      {921, "+01:21"},
      {922, "+01:22"},
      {923, "+01:23"},
      {924, "+01:24"},
      {925, "+01:25"},
      {926, "+01:26"},
      {927, "+01:27"},
      {928, "+01:28"},
      {929, "+01:29"},
      {930, "+01:30"},
      {931, "+01:31"},
      {932, "+01:32"},
      {933, "+01:33"},
      {934, "+01:34"},
      {935, "+01:35"},
      {936, "+01:36"},
      {937, "+01:37"},
      {938, "+01:38"},
      {939, "+01:39"},
      {940, "+01:40"},
      {941, "+01:41"},
      {942, "+01:42"},
      {943, "+01:43"},
      {944, "+01:44"},
      {945, "+01:45"},
      {946, "+01:46"},
      {947, "+01:47"},
      {948, "+01:48"},
      {949, "+01:49"},
      {950, "+01:50"},
      {951, "+01:51"},
      {952, "+01:52"},
      {953, "+01:53"},
      {954, "+01:54"},
      {955, "+01:55"},
      {956, "+01:56"},
      {957, "+01:57"},
      {958, "+01:58"},
      {959, "+01:59"},
      {960, "+02:00"},
      {961, "+02:01"},
      {962, "+02:02"},
      {963, "+02:03"},
      {964, "+02:04"},
      {965, "+02:05"},
      {966, "+02:06"},
      {967, "+02:07"},
      {968, "+02:08"},
      {969, "+02:09"},
      {970, "+02:10"},
      {971, "+02:11"},
      {972, "+02:12"},
      {973, "+02:13"},
      {974, "+02:14"},
      {975, "+02:15"},
      {976, "+02:16"},
      {977, "+02:17"},
      {978, "+02:18"},
      {979, "+02:19"},
      {980, "+02:20"},
      {981, "+02:21"},
      {982, "+02:22"},
      {983, "+02:23"},
      {984, "+02:24"},
      {985, "+02:25"},
      {986, "+02:26"},
      {987, "+02:27"},
      {988, "+02:28"},
      {989, "+02:29"},
      {990, "+02:30"},
      {991, "+02:31"},
      {992, "+02:32"},
      {993, "+02:33"},
      {994, "+02:34"},
      {995, "+02:35"},
      {996, "+02:36"},
      {997, "+02:37"},
      {998, "+02:38"},
      {999, "+02:39"},
      {1000, "+02:40"},
      {1001, "+02:41"},
      {1002, "+02:42"},
      {1003, "+02:43"},
      {1004, "+02:44"},
      {1005, "+02:45"},
      {1006, "+02:46"},
      {1007, "+02:47"},
      {1008, "+02:48"},
      {1009, "+02:49"},
      {1010, "+02:50"},
      {1011, "+02:51"},
      {1012, "+02:52"},
      {1013, "+02:53"},
      {1014, "+02:54"},
      {1015, "+02:55"},
      {1016, "+02:56"},
      {1017, "+02:57"},
      {1018, "+02:58"},
      {1019, "+02:59"},
      {1020, "+03:00"},
      {1021, "+03:01"},
      {1022, "+03:02"},
      {1023, "+03:03"},
      {1024, "+03:04"},
      {1025, "+03:05"},
      {1026, "+03:06"},
      {1027, "+03:07"},
      {1028, "+03:08"},
      {1029, "+03:09"},
      {1030, "+03:10"},
      {1031, "+03:11"},
      {1032, "+03:12"},
      {1033, "+03:13"},
      {1034, "+03:14"},
      {1035, "+03:15"},
      {1036, "+03:16"},
      {1037, "+03:17"},
      {1038, "+03:18"},
      {1039, "+03:19"},
      {1040, "+03:20"},
      {1041, "+03:21"},
      {1042, "+03:22"},
      {1043, "+03:23"},
      {1044, "+03:24"},
      {1045, "+03:25"},
      {1046, "+03:26"},
      {1047, "+03:27"},
      {1048, "+03:28"},
      {1049, "+03:29"},
      {1050, "+03:30"},
      {1051, "+03:31"},
      {1052, "+03:32"},
      {1053, "+03:33"},
      {1054, "+03:34"},
      {1055, "+03:35"},
      {1056, "+03:36"},
      {1057, "+03:37"},
      {1058, "+03:38"},
      {1059, "+03:39"},
      {1060, "+03:40"},
      {1061, "+03:41"},
      {1062, "+03:42"},
      {1063, "+03:43"},
      {1064, "+03:44"},
      {1065, "+03:45"},
      {1066, "+03:46"},
      {1067, "+03:47"},
      {1068, "+03:48"},
      {1069, "+03:49"},
      {1070, "+03:50"},
      {1071, "+03:51"},
      {1072, "+03:52"},
      {1073, "+03:53"},
      {1074, "+03:54"},
      {1075, "+03:55"},
      {1076, "+03:56"},
      {1077, "+03:57"},
      {1078, "+03:58"},
      {1079, "+03:59"},
      {1080, "+04:00"},
      {1081, "+04:01"},
      {1082, "+04:02"},
      {1083, "+04:03"},
      {1084, "+04:04"},
      {1085, "+04:05"},
      {1086, "+04:06"},
      {1087, "+04:07"},
      {1088, "+04:08"},
      {1089, "+04:09"},
      {1090, "+04:10"},
      {1091, "+04:11"},
      {1092, "+04:12"},
      {1093, "+04:13"},
      {1094, "+04:14"},
      {1095, "+04:15"},
      {1096, "+04:16"},
      {1097, "+04:17"},
      {1098, "+04:18"},
      {1099, "+04:19"},
      {1100, "+04:20"},
      {1101, "+04:21"},
      {1102, "+04:22"},
      {1103, "+04:23"},
      {1104, "+04:24"},
      {1105, "+04:25"},
      {1106, "+04:26"},
      {1107, "+04:27"},
      {1108, "+04:28"},
      {1109, "+04:29"},
      {1110, "+04:30"},
      {1111, "+04:31"},
      {1112, "+04:32"},
      {1113, "+04:33"},
      {1114, "+04:34"},
      {1115, "+04:35"},
      {1116, "+04:36"},
      {1117, "+04:37"},
      {1118, "+04:38"},
      {1119, "+04:39"},
      {1120, "+04:40"},
      {1121, "+04:41"},
      {1122, "+04:42"},
      {1123, "+04:43"},
      {1124, "+04:44"},
      {1125, "+04:45"},
      {1126, "+04:46"},
      {1127, "+04:47"},
      {1128, "+04:48"},
      {1129, "+04:49"},
      {1130, "+04:50"},
      {1131, "+04:51"},
      {1132, "+04:52"},
      {1133, "+04:53"},
      {1134, "+04:54"},
      {1135, "+04:55"},
      {1136, "+04:56"},
      {1137, "+04:57"},
      {1138, "+04:58"},
      {1139, "+04:59"},
      {1140, "+05:00"},
      {1141, "+05:01"},
      {1142, "+05:02"},
      {1143, "+05:03"},
      {1144, "+05:04"},
      {1145, "+05:05"},
      {1146, "+05:06"},
      {1147, "+05:07"},
      {1148, "+05:08"},
      {1149, "+05:09"},
      {1150, "+05:10"},
      {1151, "+05:11"},
      {1152, "+05:12"},
      {1153, "+05:13"},
      {1154, "+05:14"},
      {1155, "+05:15"},
      {1156, "+05:16"},
      {1157, "+05:17"},
      {1158, "+05:18"},
      {1159, "+05:19"},
      {1160, "+05:20"},
      {1161, "+05:21"},
      {1162, "+05:22"},
      {1163, "+05:23"},
      {1164, "+05:24"},
      {1165, "+05:25"},
      {1166, "+05:26"},
      {1167, "+05:27"},
      {1168, "+05:28"},
      {1169, "+05:29"},
      {1170, "+05:30"},
      {1171, "+05:31"},
      {1172, "+05:32"},
      {1173, "+05:33"},
      {1174, "+05:34"},
      {1175, "+05:35"},
      {1176, "+05:36"},
      {1177, "+05:37"},
      {1178, "+05:38"},
      {1179, "+05:39"},
      {1180, "+05:40"},
      {1181, "+05:41"},
      {1182, "+05:42"},
      {1183, "+05:43"},
      {1184, "+05:44"},
      {1185, "+05:45"},
      {1186, "+05:46"},
      {1187, "+05:47"},
      {1188, "+05:48"},
      {1189, "+05:49"},
      {1190, "+05:50"},
      {1191, "+05:51"},
      {1192, "+05:52"},
      {1193, "+05:53"},
      {1194, "+05:54"},
      {1195, "+05:55"},
      {1196, "+05:56"},
      {1197, "+05:57"},
      {1198, "+05:58"},
      {1199, "+05:59"},
      {1200, "+06:00"},
      {1201, "+06:01"},
      {1202, "+06:02"},
      {1203, "+06:03"},
      {1204, "+06:04"},
      {1205, "+06:05"},
      {1206, "+06:06"},
      {1207, "+06:07"},
      {1208, "+06:08"},
      {1209, "+06:09"},
      {1210, "+06:10"},
      {1211, "+06:11"},
      {1212, "+06:12"},
      {1213, "+06:13"},
      {1214, "+06:14"},
      {1215, "+06:15"},
      {1216, "+06:16"},
      {1217, "+06:17"},
      {1218, "+06:18"},
      {1219, "+06:19"},
      {1220, "+06:20"},
      {1221, "+06:21"},
      {1222, "+06:22"},
      {1223, "+06:23"},
      {1224, "+06:24"},
      {1225, "+06:25"},
      {1226, "+06:26"},
      {1227, "+06:27"},
      {1228, "+06:28"},
      {1229, "+06:29"},
      {1230, "+06:30"},
      {1231, "+06:31"},
      {1232, "+06:32"},
      {1233, "+06:33"},
      {1234, "+06:34"},
      {1235, "+06:35"},
      {1236, "+06:36"},
      {1237, "+06:37"},
      {1238, "+06:38"},
      {1239, "+06:39"},
      {1240, "+06:40"},
      {1241, "+06:41"},
      {1242, "+06:42"},
      {1243, "+06:43"},
      {1244, "+06:44"},
      {1245, "+06:45"},
      {1246, "+06:46"},
      {1247, "+06:47"},
      {1248, "+06:48"},
      {1249, "+06:49"},
      {1250, "+06:50"},
      {1251, "+06:51"},
      {1252, "+06:52"},
      {1253, "+06:53"},
      {1254, "+06:54"},
      {1255, "+06:55"},
      {1256, "+06:56"},
      {1257, "+06:57"},
      {1258, "+06:58"},
      {1259, "+06:59"},
      {1260, "+07:00"},
      {1261, "+07:01"},
      {1262, "+07:02"},
      {1263, "+07:03"},
      {1264, "+07:04"},
      {1265, "+07:05"},
      {1266, "+07:06"},
      {1267, "+07:07"},
      {1268, "+07:08"},
      {1269, "+07:09"},
      {1270, "+07:10"},
      {1271, "+07:11"},
      {1272, "+07:12"},
      {1273, "+07:13"},
      {1274, "+07:14"},
      {1275, "+07:15"},
      {1276, "+07:16"},
      {1277, "+07:17"},
      {1278, "+07:18"},
      {1279, "+07:19"},
      {1280, "+07:20"},
      {1281, "+07:21"},
      {1282, "+07:22"},
      {1283, "+07:23"},
      {1284, "+07:24"},
      {1285, "+07:25"},
      {1286, "+07:26"},
      {1287, "+07:27"},
      {1288, "+07:28"},
      {1289, "+07:29"},
      {1290, "+07:30"},
      {1291, "+07:31"},
      {1292, "+07:32"},
      {1293, "+07:33"},
      {1294, "+07:34"},
      {1295, "+07:35"},
      {1296, "+07:36"},
      {1297, "+07:37"},
      {1298, "+07:38"},
      {1299, "+07:39"},
      {1300, "+07:40"},
      {1301, "+07:41"},
      {1302, "+07:42"},
      {1303, "+07:43"},
      {1304, "+07:44"},
      {1305, "+07:45"},
      {1306, "+07:46"},
      {1307, "+07:47"},
      {1308, "+07:48"},
      {1309, "+07:49"},
      {1310, "+07:50"},
      {1311, "+07:51"},
      {1312, "+07:52"},
      {1313, "+07:53"},
      {1314, "+07:54"},
      {1315, "+07:55"},
      {1316, "+07:56"},
      {1317, "+07:57"},
      {1318, "+07:58"},
      {1319, "+07:59"},
      {1320, "+08:00"},
      {1321, "+08:01"},
      {1322, "+08:02"},
      {1323, "+08:03"},
      {1324, "+08:04"},
      {1325, "+08:05"},
      {1326, "+08:06"},
      {1327, "+08:07"},
      {1328, "+08:08"},
      {1329, "+08:09"},
      {1330, "+08:10"},
      {1331, "+08:11"},
      {1332, "+08:12"},
      {1333, "+08:13"},
      {1334, "+08:14"},
      {1335, "+08:15"},
      {1336, "+08:16"},
      {1337, "+08:17"},
      {1338, "+08:18"},
      {1339, "+08:19"},
      {1340, "+08:20"},
      {1341, "+08:21"},
      {1342, "+08:22"},
      {1343, "+08:23"},
      {1344, "+08:24"},
      {1345, "+08:25"},
      {1346, "+08:26"},
      {1347, "+08:27"},
      {1348, "+08:28"},
      {1349, "+08:29"},
      {1350, "+08:30"},
      {1351, "+08:31"},
      {1352, "+08:32"},
      {1353, "+08:33"},
      {1354, "+08:34"},
      {1355, "+08:35"},
      {1356, "+08:36"},
      {1357, "+08:37"},
      {1358, "+08:38"},
      {1359, "+08:39"},
      {1360, "+08:40"},
      {1361, "+08:41"},
      {1362, "+08:42"},
      {1363, "+08:43"},
      {1364, "+08:44"},
      {1365, "+08:45"},
      {1366, "+08:46"},
      {1367, "+08:47"},
      {1368, "+08:48"},
      {1369, "+08:49"},
      {1370, "+08:50"},
      {1371, "+08:51"},
      {1372, "+08:52"},
      {1373, "+08:53"},
      {1374, "+08:54"},
      {1375, "+08:55"},
      {1376, "+08:56"},
      {1377, "+08:57"},
      {1378, "+08:58"},
      {1379, "+08:59"},
      {1380, "+09:00"},
      {1381, "+09:01"},
      {1382, "+09:02"},
      {1383, "+09:03"},
      {1384, "+09:04"},
      {1385, "+09:05"},
      {1386, "+09:06"},
      {1387, "+09:07"},
      {1388, "+09:08"},
      {1389, "+09:09"},
      {1390, "+09:10"},
      {1391, "+09:11"},
      {1392, "+09:12"},
      {1393, "+09:13"},
      {1394, "+09:14"},
      {1395, "+09:15"},
      {1396, "+09:16"},
      {1397, "+09:17"},
      {1398, "+09:18"},
      {1399, "+09:19"},
      {1400, "+09:20"},
      {1401, "+09:21"},
      {1402, "+09:22"},
      {1403, "+09:23"},
      {1404, "+09:24"},
      {1405, "+09:25"},
      {1406, "+09:26"},
      {1407, "+09:27"},
      {1408, "+09:28"},
      {1409, "+09:29"},
      {1410, "+09:30"},
      {1411, "+09:31"},
      {1412, "+09:32"},
      {1413, "+09:33"},
      {1414, "+09:34"},
      {1415, "+09:35"},
      {1416, "+09:36"},
      {1417, "+09:37"},
      {1418, "+09:38"},
      {1419, "+09:39"},
      {1420, "+09:40"},
      {1421, "+09:41"},
      {1422, "+09:42"},
      {1423, "+09:43"},
      {1424, "+09:44"},
      {1425, "+09:45"},
      {1426, "+09:46"},
      {1427, "+09:47"},
      {1428, "+09:48"},
      {1429, "+09:49"},
      {1430, "+09:50"},
      {1431, "+09:51"},
      {1432, "+09:52"},
      {1433, "+09:53"},
      {1434, "+09:54"},
      {1435, "+09:55"},
      {1436, "+09:56"},
      {1437, "+09:57"},
      {1438, "+09:58"},
      {1439, "+09:59"},
      {1440, "+10:00"},
      {1441, "+10:01"},
      {1442, "+10:02"},
      {1443, "+10:03"},
      {1444, "+10:04"},
      {1445, "+10:05"},
      {1446, "+10:06"},
      {1447, "+10:07"},
      {1448, "+10:08"},
      {1449, "+10:09"},
      {1450, "+10:10"},
      {1451, "+10:11"},
      {1452, "+10:12"},
      {1453, "+10:13"},
      {1454, "+10:14"},
      {1455, "+10:15"},
      {1456, "+10:16"},
      {1457, "+10:17"},
      {1458, "+10:18"},
      {1459, "+10:19"},
      {1460, "+10:20"},
      {1461, "+10:21"},
      {1462, "+10:22"},
      {1463, "+10:23"},
      {1464, "+10:24"},
      {1465, "+10:25"},
      {1466, "+10:26"},
      {1467, "+10:27"},
      {1468, "+10:28"},
      {1469, "+10:29"},
      {1470, "+10:30"},
      {1471, "+10:31"},
      {1472, "+10:32"},
      {1473, "+10:33"},
      {1474, "+10:34"},
      {1475, "+10:35"},
      {1476, "+10:36"},
      {1477, "+10:37"},
      {1478, "+10:38"},
      {1479, "+10:39"},
      {1480, "+10:40"},
      {1481, "+10:41"},
      {1482, "+10:42"},
      {1483, "+10:43"},
      {1484, "+10:44"},
      {1485, "+10:45"},
      {1486, "+10:46"},
      {1487, "+10:47"},
      {1488, "+10:48"},
      {1489, "+10:49"},
      {1490, "+10:50"},
      {1491, "+10:51"},
      {1492, "+10:52"},
      {1493, "+10:53"},
      {1494, "+10:54"},
      {1495, "+10:55"},
      {1496, "+10:56"},
      {1497, "+10:57"},
      {1498, "+10:58"},
      {1499, "+10:59"},
      {1500, "+11:00"},
      {1501, "+11:01"},
      {1502, "+11:02"},
      {1503, "+11:03"},
      {1504, "+11:04"},
      {1505, "+11:05"},
      {1506, "+11:06"},
      {1507, "+11:07"},
      {1508, "+11:08"},
      {1509, "+11:09"},
      {1510, "+11:10"},
      {1511, "+11:11"},
      {1512, "+11:12"},
      {1513, "+11:13"},
      {1514, "+11:14"},
      {1515, "+11:15"},
      {1516, "+11:16"},
      {1517, "+11:17"},
      {1518, "+11:18"},
      {1519, "+11:19"},
      {1520, "+11:20"},
      {1521, "+11:21"},
      {1522, "+11:22"},
      {1523, "+11:23"},
      {1524, "+11:24"},
      {1525, "+11:25"},
      {1526, "+11:26"},
      {1527, "+11:27"},
      {1528, "+11:28"},
      {1529, "+11:29"},
      {1530, "+11:30"},
      {1531, "+11:31"},
      {1532, "+11:32"},
      {1533, "+11:33"},
      {1534, "+11:34"},
      {1535, "+11:35"},
      {1536, "+11:36"},
      {1537, "+11:37"},
      {1538, "+11:38"},
      {1539, "+11:39"},
      {1540, "+11:40"},
      {1541, "+11:41"},
      {1542, "+11:42"},
      {1543, "+11:43"},
      {1544, "+11:44"},
      {1545, "+11:45"},
      {1546, "+11:46"},
      {1547, "+11:47"},
      {1548, "+11:48"},
      {1549, "+11:49"},
      {1550, "+11:50"},
      {1551, "+11:51"},
      {1552, "+11:52"},
      {1553, "+11:53"},
      {1554, "+11:54"},
      {1555, "+11:55"},
      {1556, "+11:56"},
      {1557, "+11:57"},
      {1558, "+11:58"},
      {1559, "+11:59"},
      {1560, "+12:00"},
      {1561, "+12:01"},
      {1562, "+12:02"},
      {1563, "+12:03"},
      {1564, "+12:04"},
      {1565, "+12:05"},
      {1566, "+12:06"},
      {1567, "+12:07"},
      {1568, "+12:08"},
      {1569, "+12:09"},
      {1570, "+12:10"},
      {1571, "+12:11"},
      {1572, "+12:12"},
      {1573, "+12:13"},
      {1574, "+12:14"},
      {1575, "+12:15"},
      {1576, "+12:16"},
      {1577, "+12:17"},
      {1578, "+12:18"},
      {1579, "+12:19"},
      {1580, "+12:20"},
      {1581, "+12:21"},
      {1582, "+12:22"},
      {1583, "+12:23"},
      {1584, "+12:24"},
      {1585, "+12:25"},
      {1586, "+12:26"},
      {1587, "+12:27"},
      {1588, "+12:28"},
      {1589, "+12:29"},
      {1590, "+12:30"},
      {1591, "+12:31"},
      {1592, "+12:32"},
      {1593, "+12:33"},
      {1594, "+12:34"},
      {1595, "+12:35"},
      {1596, "+12:36"},
      {1597, "+12:37"},
      {1598, "+12:38"},
      {1599, "+12:39"},
      {1600, "+12:40"},
      {1601, "+12:41"},
      {1602, "+12:42"},
      {1603, "+12:43"},
      {1604, "+12:44"},
      {1605, "+12:45"},
      {1606, "+12:46"},
      {1607, "+12:47"},
      {1608, "+12:48"},
      {1609, "+12:49"},
      {1610, "+12:50"},
      {1611, "+12:51"},
      {1612, "+12:52"},
      {1613, "+12:53"},
      {1614, "+12:54"},
      {1615, "+12:55"},
      {1616, "+12:56"},
      {1617, "+12:57"},
      {1618, "+12:58"},
      {1619, "+12:59"},
      {1620, "+13:00"},
      {1621, "+13:01"},
      {1622, "+13:02"},
      {1623, "+13:03"},
      {1624, "+13:04"},
      {1625, "+13:05"},
      {1626, "+13:06"},
      {1627, "+13:07"},
      {1628, "+13:08"},
      {1629, "+13:09"},
      {1630, "+13:10"},
      {1631, "+13:11"},
      {1632, "+13:12"},
      {1633, "+13:13"},
      {1634, "+13:14"},
      {1635, "+13:15"},
      {1636, "+13:16"},
      {1637, "+13:17"},
      {1638, "+13:18"},
      {1639, "+13:19"},
      {1640, "+13:20"},
      {1641, "+13:21"},
      {1642, "+13:22"},
      {1643, "+13:23"},
      {1644, "+13:24"},
      {1645, "+13:25"},
      {1646, "+13:26"},
      {1647, "+13:27"},
      {1648, "+13:28"},
      {1649, "+13:29"},
      {1650, "+13:30"},
      {1651, "+13:31"},
      {1652, "+13:32"},
      {1653, "+13:33"},
      {1654, "+13:34"},
      {1655, "+13:35"},
      {1656, "+13:36"},
      {1657, "+13:37"},
      {1658, "+13:38"},
      {1659, "+13:39"},
      {1660, "+13:40"},
      {1661, "+13:41"},
      {1662, "+13:42"},
      {1663, "+13:43"},
      {1664, "+13:44"},
      {1665, "+13:45"},
      {1666, "+13:46"},
      {1667, "+13:47"},
      {1668, "+13:48"},
      {1669, "+13:49"},
      {1670, "+13:50"},
      {1671, "+13:51"},
      {1672, "+13:52"},
      {1673, "+13:53"},
      {1674, "+13:54"},
      {1675, "+13:55"},
      {1676, "+13:56"},
      {1677, "+13:57"},
      {1678, "+13:58"},
      {1679, "+13:59"},
      {1680, "+14:00"},
      {1681, "Africa/Abidjan"},
      {1682, "Africa/Accra"},
      {1683, "Africa/Addis_Ababa"},
      {1684, "Africa/Algiers"},
      {1685, "Africa/Asmara"},
      {1686, "Africa/Asmera"},
      {1687, "Africa/Bamako"},
      {1688, "Africa/Bangui"},
      {1689, "Africa/Banjul"},
      {1690, "Africa/Bissau"},
      {1691, "Africa/Blantyre"},
      {1692, "Africa/Brazzaville"},
      {1693, "Africa/Bujumbura"},
      {1694, "Africa/Cairo"},
      {1695, "Africa/Casablanca"},
      {1696, "Africa/Ceuta"},
      {1697, "Africa/Conakry"},
      {1698, "Africa/Dakar"},
      {1699, "Africa/Dar_es_Salaam"},
      {1700, "Africa/Djibouti"},
      {1701, "Africa/Douala"},
      {1702, "Africa/El_Aaiun"},
      {1703, "Africa/Freetown"},
      {1704, "Africa/Gaborone"},
      {1705, "Africa/Harare"},
      {1706, "Africa/Johannesburg"},
      {1707, "Africa/Juba"},
      {1708, "Africa/Kampala"},
      {1709, "Africa/Khartoum"},
      {1710, "Africa/Kigali"},
      {1711, "Africa/Kinshasa"},
      {1712, "Africa/Lagos"},
      {1713, "Africa/Libreville"},
      {1714, "Africa/Lome"},
      {1715, "Africa/Luanda"},
      {1716, "Africa/Lubumbashi"},
      {1717, "Africa/Lusaka"},
      {1718, "Africa/Malabo"},
      {1719, "Africa/Maputo"},
      {1720, "Africa/Maseru"},
      {1721, "Africa/Mbabane"},
      {1722, "Africa/Mogadishu"},
      {1723, "Africa/Monrovia"},
      {1724, "Africa/Nairobi"},
      {1725, "Africa/Ndjamena"},
      {1726, "Africa/Niamey"},
      {1727, "Africa/Nouakchott"},
      {1728, "Africa/Ouagadougou"},
      {1729, "Africa/Porto-Novo"},
      {1730, "Africa/Sao_Tome"},
      {1731, "Africa/Timbuktu"},
      {1732, "Africa/Tripoli"},
      {1733, "Africa/Tunis"},
      {1734, "Africa/Windhoek"},
      {1735, "America/Adak"},
      {1736, "America/Anchorage"},
      {1737, "America/Anguilla"},
      {1738, "America/Antigua"},
      {1739, "America/Araguaina"},
      {1740, "America/Argentina/Buenos_Aires"},
      {1741, "America/Argentina/Catamarca"},
      {1742, "America/Argentina/ComodRivadavia"},
      {1743, "America/Argentina/Cordoba"},
      {1744, "America/Argentina/Jujuy"},
      {1745, "America/Argentina/La_Rioja"},
      {1746, "America/Argentina/Mendoza"},
      {1747, "America/Argentina/Rio_Gallegos"},
      {1748, "America/Argentina/Salta"},
      {1749, "America/Argentina/San_Juan"},
      {1750, "America/Argentina/San_Luis"},
      {1751, "America/Argentina/Tucuman"},
      {1752, "America/Argentina/Ushuaia"},
      {1753, "America/Aruba"},
      {1754, "America/Asuncion"},
      {1755, "America/Atikokan"},
      {1756, "America/Atka"},
      {1757, "America/Bahia"},
      {1758, "America/Bahia_Banderas"},
      {1759, "America/Barbados"},
      {1760, "America/Belem"},
      {1761, "America/Belize"},
      {1762, "America/Blanc-Sablon"},
      {1763, "America/Boa_Vista"},
      {1764, "America/Bogota"},
      {1765, "America/Boise"},
      {1766, "America/Buenos_Aires"},
      {1767, "America/Cambridge_Bay"},
      {1768, "America/Campo_Grande"},
      {1769, "America/Cancun"},
      {1770, "America/Caracas"},
      {1771, "America/Catamarca"},
      {1772, "America/Cayenne"},
      {1773, "America/Cayman"},
      {1774, "America/Chicago"},
      {1775, "America/Chihuahua"},
      {1776, "America/Coral_Harbour"},
      {1777, "America/Cordoba"},
      {1778, "America/Costa_Rica"},
      {1779, "America/Cuiaba"},
      {1780, "America/Curacao"},
      {1781, "America/Danmarkshavn"},
      {1782, "America/Dawson"},
      {1783, "America/Dawson_Creek"},
      {1784, "America/Denver"},
      {1785, "America/Detroit"},
      {1786, "America/Dominica"},
      {1787, "America/Edmonton"},
      {1788, "America/Eirunepe"},
      {1789, "America/El_Salvador"},
      {1790, "America/Ensenada"},
      {1791, "America/Fort_Wayne"},
      {1792, "America/Fortaleza"},
      {1793, "America/Glace_Bay"},
      {1794, "America/Godthab"},
      {1795, "America/Goose_Bay"},
      {1796, "America/Grand_Turk"},
      {1797, "America/Grenada"},
      {1798, "America/Guadeloupe"},
      {1799, "America/Guatemala"},
      {1800, "America/Guayaquil"},
      {1801, "America/Guyana"},
      {1802, "America/Halifax"},
      {1803, "America/Havana"},
      {1804, "America/Hermosillo"},
      {1805, "America/Indiana/Indianapolis"},
      {1806, "America/Indiana/Knox"},
      {1807, "America/Indiana/Marengo"},
      {1808, "America/Indiana/Petersburg"},
      {1809, "America/Indiana/Tell_City"},
      {1810, "America/Indiana/Vevay"},
      {1811, "America/Indiana/Vincennes"},
      {1812, "America/Indiana/Winamac"},
      {1813, "America/Indianapolis"},
      {1814, "America/Inuvik"},
      {1815, "America/Iqaluit"},
      {1816, "America/Jamaica"},
      {1817, "America/Jujuy"},
      {1818, "America/Juneau"},
      {1819, "America/Kentucky/Louisville"},
      {1820, "America/Kentucky/Monticello"},
      {1821, "America/Knox_IN"},
      {1822, "America/Kralendijk"},
      {1823, "America/La_Paz"},
      {1824, "America/Lima"},
      {1825, "America/Los_Angeles"},
      {1826, "America/Louisville"},
      {1827, "America/Lower_Princes"},
      {1828, "America/Maceio"},
      {1829, "America/Managua"},
      {1830, "America/Manaus"},
      {1831, "America/Marigot"},
      {1832, "America/Martinique"},
      {1833, "America/Matamoros"},
      {1834, "America/Mazatlan"},
      {1835, "America/Mendoza"},
      {1836, "America/Menominee"},
      {1837, "America/Merida"},
      {1838, "America/Metlakatla"},
      {1839, "America/Mexico_City"},
      {1840, "America/Miquelon"},
      {1841, "America/Moncton"},
      {1842, "America/Monterrey"},
      {1843, "America/Montevideo"},
      {1844, "America/Montreal"},
      {1845, "America/Montserrat"},
      {1846, "America/Nassau"},
      {1847, "America/New_York"},
      {1848, "America/Nipigon"},
      {1849, "America/Nome"},
      {1850, "America/Noronha"},
      {1851, "America/North_Dakota/Beulah"},
      {1852, "America/North_Dakota/Center"},
      {1853, "America/North_Dakota/New_Salem"},
      {1854, "America/Ojinaga"},
      {1855, "America/Panama"},
      {1856, "America/Pangnirtung"},
      {1857, "America/Paramaribo"},
      {1858, "America/Phoenix"},
      {1859, "America/Port-au-Prince"},
      {1860, "America/Port_of_Spain"},
      {1861, "America/Porto_Acre"},
      {1862, "America/Porto_Velho"},
      {1863, "America/Puerto_Rico"},
      {1864, "America/Rainy_River"},
      {1865, "America/Rankin_Inlet"},
      {1866, "America/Recife"},
      {1867, "America/Regina"},
      {1868, "America/Resolute"},
      {1869, "America/Rio_Branco"},
      {1870, "America/Rosario"},
      {1871, "America/Santa_Isabel"},
      {1872, "America/Santarem"},
      {1873, "America/Santiago"},
      {1874, "America/Santo_Domingo"},
      {1875, "America/Sao_Paulo"},
      {1876, "America/Scoresbysund"},
      {1877, "America/Shiprock"},
      {1878, "America/Sitka"},
      {1879, "America/St_Barthelemy"},
      {1880, "America/St_Johns"},
      {1881, "America/St_Kitts"},
      {1882, "America/St_Lucia"},
      {1883, "America/St_Thomas"},
      {1884, "America/St_Vincent"},
      {1885, "America/Swift_Current"},
      {1886, "America/Tegucigalpa"},
      {1887, "America/Thule"},
      {1888, "America/Thunder_Bay"},
      {1889, "America/Tijuana"},
      {1890, "America/Toronto"},
      {1891, "America/Tortola"},
      {1892, "America/Vancouver"},
      {1893, "America/Virgin"},
      {1894, "America/Whitehorse"},
      {1895, "America/Winnipeg"},
      {1896, "America/Yakutat"},
      {1897, "America/Yellowknife"},
      {1898, "Antarctica/Casey"},
      {1899, "Antarctica/Davis"},
      {1900, "Antarctica/DumontDUrville"},
      {1901, "Antarctica/Macquarie"},
      {1902, "Antarctica/Mawson"},
      {1903, "Antarctica/McMurdo"},
      {1904, "Antarctica/Palmer"},
      {1905, "Antarctica/Rothera"},
      {1906, "Antarctica/South_Pole"},
      {1907, "Antarctica/Syowa"},
      {1908, "Antarctica/Vostok"},
      {1909, "Arctic/Longyearbyen"},
      {1910, "Asia/Aden"},
      {1911, "Asia/Almaty"},
      {1912, "Asia/Amman"},
      {1913, "Asia/Anadyr"},
      {1914, "Asia/Aqtau"},
      {1915, "Asia/Aqtobe"},
      {1916, "Asia/Ashgabat"},
      {1917, "Asia/Ashkhabad"},
      {1918, "Asia/Baghdad"},
      {1919, "Asia/Bahrain"},
      {1920, "Asia/Baku"},
      {1921, "Asia/Bangkok"},
      {1922, "Asia/Beirut"},
      {1923, "Asia/Bishkek"},
      {1924, "Asia/Brunei"},
      {1925, "Asia/Calcutta"},
      {1926, "Asia/Choibalsan"},
      {1927, "Asia/Chongqing"},
      {1928, "Asia/Chungking"},
      {1929, "Asia/Colombo"},
      {1930, "Asia/Dacca"},
      {1931, "Asia/Damascus"},
      {1932, "Asia/Dhaka"},
      {1933, "Asia/Dili"},
      {1934, "Asia/Dubai"},
      {1935, "Asia/Dushanbe"},
      {1936, "Asia/Gaza"},
      {1937, "Asia/Harbin"},
      {1938, "Asia/Hebron"},
      {1939, "Asia/Ho_Chi_Minh"},
      {1940, "Asia/Hong_Kong"},
      {1941, "Asia/Hovd"},
      {1942, "Asia/Irkutsk"},
      {1943, "Asia/Istanbul"},
      {1944, "Asia/Jakarta"},
      {1945, "Asia/Jayapura"},
      {1946, "Asia/Jerusalem"},
      {1947, "Asia/Kabul"},
      {1948, "Asia/Kamchatka"},
      {1949, "Asia/Karachi"},
      {1950, "Asia/Kashgar"},
      {1951, "Asia/Kathmandu"},
      {1952, "Asia/Katmandu"},
      {1953, "Asia/Kolkata"},
      {1954, "Asia/Krasnoyarsk"},
      {1955, "Asia/Kuala_Lumpur"},
      {1956, "Asia/Kuching"},
      {1957, "Asia/Kuwait"},
      {1958, "Asia/Macao"},
      {1959, "Asia/Macau"},
      {1960, "Asia/Magadan"},
      {1961, "Asia/Makassar"},
      {1962, "Asia/Manila"},
      {1963, "Asia/Muscat"},
      {1964, "Asia/Nicosia"},
      {1965, "Asia/Novokuznetsk"},
      {1966, "Asia/Novosibirsk"},
      {1967, "Asia/Omsk"},
      {1968, "Asia/Oral"},
      {1969, "Asia/Phnom_Penh"},
      {1970, "Asia/Pontianak"},
      {1971, "Asia/Pyongyang"},
      {1972, "Asia/Qatar"},
      {1973, "Asia/Qyzylorda"},
      {1974, "Asia/Rangoon"},
      {1975, "Asia/Riyadh"},
      {1976, "Asia/Saigon"},
      {1977, "Asia/Sakhalin"},
      {1978, "Asia/Samarkand"},
      {1979, "Asia/Seoul"},
      {1980, "Asia/Shanghai"},
      {1981, "Asia/Singapore"},
      {1982, "Asia/Taipei"},
      {1983, "Asia/Tashkent"},
      {1984, "Asia/Tbilisi"},
      {1985, "Asia/Tehran"},
      {1986, "Asia/Tel_Aviv"},
      {1987, "Asia/Thimbu"},
      {1988, "Asia/Thimphu"},
      {1989, "Asia/Tokyo"},
      {1990, "Asia/Ujung_Pandang"},
      {1991, "Asia/Ulaanbaatar"},
      {1992, "Asia/Ulan_Bator"},
      {1993, "Asia/Urumqi"},
      {1994, "Asia/Vientiane"},
      {1995, "Asia/Vladivostok"},
      {1996, "Asia/Yakutsk"},
      {1997, "Asia/Yekaterinburg"},
      {1998, "Asia/Yerevan"},
      {1999, "Atlantic/Azores"},
      {2000, "Atlantic/Bermuda"},
      {2001, "Atlantic/Canary"},
      {2002, "Atlantic/Cape_Verde"},
      {2003, "Atlantic/Faeroe"},
      {2004, "Atlantic/Faroe"},
      {2005, "Atlantic/Jan_Mayen"},
      {2006, "Atlantic/Madeira"},
      {2007, "Atlantic/Reykjavik"},
      {2008, "Atlantic/South_Georgia"},
      {2009, "Atlantic/St_Helena"},
      {2010, "Atlantic/Stanley"},
      {2011, "Australia/ACT"},
      {2012, "Australia/Adelaide"},
      {2013, "Australia/Brisbane"},
      {2014, "Australia/Broken_Hill"},
      {2015, "Australia/Canberra"},
      {2016, "Australia/Currie"},
      {2017, "Australia/Darwin"},
      {2018, "Australia/Eucla"},
      {2019, "Australia/Hobart"},
      {2020, "Australia/LHI"},
      {2021, "Australia/Lindeman"},
      {2022, "Australia/Lord_Howe"},
      {2023, "Australia/Melbourne"},
      {2024, "Australia/NSW"},
      {2025, "Australia/North"},
      {2026, "Australia/Perth"},
      {2027, "Australia/Queensland"},
      {2028, "Australia/South"},
      {2029, "Australia/Sydney"},
      {2030, "Australia/Tasmania"},
      {2031, "Australia/Victoria"},
      {2032, "Australia/West"},
      {2033, "Australia/Yancowinna"},
      {2034, "Brazil/Acre"},
      {2035, "Brazil/DeNoronha"},
      {2036, "Brazil/East"},
      {2037, "Brazil/West"},
      {2038, "Canada/Atlantic"},
      {2039, "Canada/Central"},
      {2041, "Canada/Eastern"},
      {2042, "Canada/Mountain"},
      {2043, "Canada/Newfoundland"},
      {2044, "Canada/Pacific"},
      {2045, "Canada/Saskatchewan"},
      {2046, "Canada/Yukon"},
      {2047, "Chile/Continental"},
      {2048, "Chile/EasterIsland"},
      {2049, "Europe/Amsterdam"},
      {2050, "Europe/Andorra"},
      {2051, "Europe/Athens"},
      {2052, "Europe/Belfast"},
      {2053, "Europe/Belgrade"},
      {2054, "Europe/Berlin"},
      {2055, "Europe/Bratislava"},
      {2056, "Europe/Brussels"},
      {2057, "Europe/Bucharest"},
      {2058, "Europe/Budapest"},
      {2059, "Europe/Chisinau"},
      {2060, "Europe/Copenhagen"},
      {2061, "Europe/Dublin"},
      {2062, "Europe/Gibraltar"},
      {2063, "Europe/Guernsey"},
      {2064, "Europe/Helsinki"},
      {2065, "Europe/Isle_of_Man"},
      {2066, "Europe/Istanbul"},
      {2067, "Europe/Jersey"},
      {2068, "Europe/Kaliningrad"},
      {2069, "Europe/Kiev"},
      {2070, "Europe/Lisbon"},
      {2071, "Europe/Ljubljana"},
      {2072, "Europe/London"},
      {2073, "Europe/Luxembourg"},
      {2074, "Europe/Madrid"},
      {2075, "Europe/Malta"},
      {2076, "Europe/Mariehamn"},
      {2077, "Europe/Minsk"},
      {2078, "Europe/Monaco"},
      {2079, "Europe/Moscow"},
      {2080, "Europe/Nicosia"},
      {2081, "Europe/Oslo"},
      {2082, "Europe/Paris"},
      {2083, "Europe/Podgorica"},
      {2084, "Europe/Prague"},
      {2085, "Europe/Riga"},
      {2086, "Europe/Rome"},
      {2087, "Europe/Samara"},
      {2088, "Europe/San_Marino"},
      {2089, "Europe/Sarajevo"},
      {2090, "Europe/Simferopol"},
      {2091, "Europe/Skopje"},
      {2092, "Europe/Sofia"},
      {2093, "Europe/Stockholm"},
      {2094, "Europe/Tallinn"},
      {2095, "Europe/Tirane"},
      {2096, "Europe/Tiraspol"},
      {2097, "Europe/Uzhgorod"},
      {2098, "Europe/Vaduz"},
      {2099, "Europe/Vatican"},
      {2100, "Europe/Vienna"},
      {2101, "Europe/Vilnius"},
      {2102, "Europe/Volgograd"},
      {2103, "Europe/Warsaw"},
      {2104, "Europe/Zagreb"},
      {2105, "Europe/Zaporozhye"},
      {2106, "Europe/Zurich"},
      {2107, "Indian/Antananarivo"},
      {2108, "Indian/Chagos"},
      {2109, "Indian/Christmas"},
      {2110, "Indian/Cocos"},
      {2111, "Indian/Comoro"},
      {2112, "Indian/Kerguelen"},
      {2113, "Indian/Mahe"},
      {2114, "Indian/Maldives"},
      {2115, "Indian/Mauritius"},
      {2116, "Indian/Mayotte"},
      {2117, "Indian/Reunion"},
      {2118, "Mexico/BajaNorte"},
      {2119, "Mexico/BajaSur"},
      {2120, "Mexico/General"},
      {2121, "Pacific/Apia"},
      {2122, "Pacific/Auckland"},
      {2123, "Pacific/Chatham"},
      {2124, "Pacific/Chuuk"},
      {2125, "Pacific/Easter"},
      {2126, "Pacific/Efate"},
      {2127, "Pacific/Enderbury"},
      {2128, "Pacific/Fakaofo"},
      {2129, "Pacific/Fiji"},
      {2130, "Pacific/Funafuti"},
      {2131, "Pacific/Galapagos"},
      {2132, "Pacific/Gambier"},
      {2133, "Pacific/Guadalcanal"},
      {2134, "Pacific/Guam"},
      {2135, "Pacific/Honolulu"},
      {2136, "Pacific/Johnston"},
      {2137, "Pacific/Kiritimati"},
      {2138, "Pacific/Kosrae"},
      {2139, "Pacific/Kwajalein"},
      {2140, "Pacific/Majuro"},
      {2141, "Pacific/Marquesas"},
      {2142, "Pacific/Midway"},
      {2143, "Pacific/Nauru"},
      {2144, "Pacific/Niue"},
      {2145, "Pacific/Norfolk"},
      {2146, "Pacific/Noumea"},
      {2147, "Pacific/Pago_Pago"},
      {2148, "Pacific/Palau"},
      {2149, "Pacific/Pitcairn"},
      {2150, "Pacific/Pohnpei"},
      {2151, "Pacific/Ponape"},
      {2152, "Pacific/Port_Moresby"},
      {2153, "Pacific/Rarotonga"},
      {2154, "Pacific/Saipan"},
      {2155, "Pacific/Samoa"},
      {2156, "Pacific/Tahiti"},
      {2157, "Pacific/Tarawa"},
      {2158, "Pacific/Tongatapu"},
      {2159, "Pacific/Truk"},
      {2160, "Pacific/Wake"},
      {2161, "Pacific/Wallis"},
      {2162, "Pacific/Yap"},
      {2163, "US/Alaska"},
      {2164, "US/Aleutian"},
      {2165, "US/Arizona"},
      {2166, "US/Central"},
      {2167, "US/East-Indiana"},
      {2168, "US/Eastern"},
      {2169, "US/Hawaii"},
      {2170, "US/Indiana-Starke"},
      {2171, "US/Michigan"},
      {2172, "US/Mountain"},
      {2173, "US/Pacific"},
      {2175, "US/Samoa"},
      {2176, "CET"},
      {2177, "CST6CDT"},
      {2178, "Cuba"},
      {2179, "EET"},
      {2181, "EST5EDT"},
      {2182, "Egypt"},
      {2183, "Eire"},
      {2184, "GB"},
      {2185, "GB-Eire"},
      {2187, "Hongkong"},
      {2188, "Iceland"},
      {2189, "Iran"},
      {2190, "Israel"},
      {2191, "Jamaica"},
      {2192, "Japan"},
      {2193, "Kwajalein"},
      {2194, "Libya"},
      {2195, "MET"},
      {2197, "MST7MDT"},
      {2198, "NZ"},
      {2199, "NZ-CHAT"},
      {2200, "Navajo"},
      {2201, "PRC"},
      {2202, "PST8PDT"},
      {2203, "Poland"},
      {2204, "Portugal"},
      {2205, "ROK"},
      {2206, "Singapore"},
      {2207, "Turkey"},
      {2208, "W-SU"},
      {2209, "WET"},
      {2210, "America/Creston"},
      {2211, "Antarctica/Troll"},
      {2212, "Asia/Khandyga"},
      {2213, "Asia/Ust-Nera"},
      {2214, "Europe/Busingen"},
      {2215, "Asia/Chita"},
      {2216, "Asia/Srednekolymsk"},
      {2217, "Pacific/Bougainville"},
      {2218, "America/Fort_Nelson"},
      {2219, "Asia/Barnaul"},
      {2220, "Asia/Tomsk"},
      {2221, "Europe/Astrakhan"},
      {2222, "Europe/Kirov"},
      {2223, "Europe/Ulyanovsk"},
      {2224, "Asia/Yangon"},
      {2225, "America/Punta_Arenas"},
      {2226, "Asia/Atyrau"},
      {2227, "Asia/Famagusta"},
      {2228, "Europe/Saratov"},
      {2229, "Asia/Qostanay"},
      {2230, "America/Nuuk"},
  };
  return tzDB;
}

} // namespace facebook::velox::util
